class JSEngineApi {
  constructor(adapter) {
    this.adapter = adapter;
  }

  log(value) {
    this.adapter.log(value);
  }

  openUrl(url, params, options, callback) {
    this.adapter.openUrl(url, params, options, callback);
  }

  openModule(name, params, options, callback) {
    this.adapter.openModule(name, params, options, callback);
  }

  request(url, method, params, options, callback) {
    this.adapter.request(url, method, params, options, callback);
  }

  getExtraInfo(extraKey, configuration, callback) {
    this.adapter.getExtraInfo(extraKey, configuration, callback);
  }

  getStorage(key, callback) {
    this.adapter.getStorage(key, callback);
  }

  setStorage(key, value, validityTimeInterval) {
    this.adapter.setStorage(key, value, validityTimeInterval);
  }

  toast(string, callback) {
    this.adapter.toast(string, callback);
  }

  showLoading(string) {
    this.adapter.showLoading(string);
  }

  hiddenLoading(callback) {
    this.adapter.hiddenLoading(callback);
  }

  trackWithEvent(eventName, eventParams, eventKey, eventType) {
    this.adapter.trackWithEvent(eventName, eventParams, eventKey, eventType);
  }

  trackWithBehavior(behaviorName, eventParams, eventKey, eventType) {
    this.adapter.trackWithBehavior(behaviorName, eventParams, eventKey, eventType);
  }

  exit() {
    this.adapter.exit();
  }
}

const api = new JSEngineApi(this);